Subject: Re: [PATCH net-next v1] net: phy: tja11xx: add cable-test support

From: Andrew Lunn <[email-masked]>
Date: Wed, 13 May 2020 20:01:40 +0200

> What would be the best place to do a test before the link is getting up?
> Can it be done in the phy core, or it should be done in the PHY driver?
> 
> So far, no action except of logging these errors is needed. 

You could do it in the config_aneg callback.

A kernel log entry is not very easy to use. You might want to see how
easy it is to send a cable test result to userspace. Anything which is
interested in this information can then listen for it. All the needed
code is there, you will just need to rearrange it a bit.

	   Andrew